package com.huimv.admin.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.admin.system.entity.ScreenSysGroup;
import com.huimv.common.utils.Result;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2022-03-25
 */
public interface IScreenSysGroupService extends IService<ScreenSysGroup> {
    Result updateGroup(ScreenSysGroup group);

    Result removeGroup(Integer groupId);

    IPage<ScreenSysGroup> listGroup(Map map, List<Integer> allChildId);

    Result addGroup(ScreenSysGroup group, Integer userId);
}
